Get screening webhook
curl --request GET \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Webhook created successfully",
"result": {
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match"
]
}
],
"url": "https://your.web.site/path"
}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
Get screening webhook
The GET method on a single screening webhook resource will return the details for a single screening webhook by its ID.
GET
/
v2
/
webhooks
/
screening
/
{webhookId}
Get screening webhook
Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Path Parameters
The unique identifier of the webhook
⌘I